Skip to main content
PATCH
/
v1
/
admin
/
finance
/
invoices
/
{id}
Update an invoice
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/finance/invoices/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoiceNumber": "<string>",
  "bookingId": "<string>",
  "currency": "<string>",
  "issueDate": "2023-12-25",
  "dueDate": "2023-12-25",
  "personId": "<string>",
  "subtotalCents": 1,
  "taxCents": 1,
  "totalCents": 1,
  "notes": "<string>"
}
'
{
  "data": {
    "id": "inv_01HZX...",
    "invoiceNumber": "2026-000123",
    "bookingId": "bkg_01HZX...",
    "status": "issued",
    "currency": "EUR",
    "totalCents": 119000,
    "personId": "<string>",
    "organizationId": "<string>",
    "kind": "fiscal",
    "baseCurrency": "<string>",
    "subtotalCents": 100000,
    "taxCents": 19000,
    "paidCents": 0,
    "balanceDueCents": 119000,
    "commissionPercent": 123,
    "commissionAmountCents": 123,
    "issueDate": "2026-06-17",
    "dueDate": "2026-07-17",
    "notes": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
invoiceNumber
string
required
Maximum string length: 50
bookingId
string
required
currency
string
required
Required string length: 3
issueDate
string<date>
required
dueDate
string<date>
required
personId
string | null
subtotalCents
integer
Required range: x >= 0
taxCents
integer
Required range: x >= 0
totalCents
integer
Required range: x >= 0
notes
string | null

Response

200 - application/json

Updated invoice

data
object